# Édité depuis tooljet
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Python.gitlab-ci.yml

# Official language image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/python/tags/
image: python:latest  

# Change pip's cache directory to be inside the project directory since we can
# only cache local items.
variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

# Pip's cache doesn't store the python packages
# https://pip.pypa.io/en/stable/topics/caching/
#
# If you want to also cache the installed packages, you have to install
# them in a virtualenv and cache it as well.

pages:
  script:
    - mkdir public
    - pip install nbconvert
    -  >-
        for directory_encoded in $(find notebooks -type d | sed 's_ _%20_g' | tail -n+2 |sed 's_notebooks/__');do directory=$(echo $directory_encoded|sed 's_%20_ _g') ; mkdir -p public/"$directory"/ ; jupyter-nbconvert notebooks/"$directory"/* --to HTML --output-dir public/"$directory";done
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

